Skip navigation
2526 Views 9 Replies Latest reply: Mar 28, 2012 4:10 PM by Shane Scott RSS
T C Rank: White Belt 6 posts since
Mar 18, 2012
Currently Being Moderated

Mar 22, 2012 6:05 PM

problem with 'Zenoss' user (?), permission level

Hi

I've just started testing NMS software, first was Nagios, now is Zenoss

have problem  with configuring Zenoss - want to use Nagios plugin, which was tested and it's working (http://exchange.nagios.org/directory/Plugins/Databases/SQLServer/Check-MSSQL-Database-Stats/details; require pymssql)

according to this post http://community.zenoss.org/docs/DOC-2514 I've configure new COMMAND

just after start it have warning in events - 'pymssql is required....'

script at beginning try to 'import pymssql' - if can't, send message like above

so I back to terminal and test this script as user - everything is ok, receive info from MSSQL Server

next do 

su - zenoss

and try again check script, now received

pymssql is required...

  what can I do to make 'zenoss' account 'see' pymssql library?? 

More Like This

  • Retrieving data ...

Legend

  • Correct Answers - 4 points
  • Helpful Answers - 2 points